petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscViewerASCIIRead

Reads from a ASCII file

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerASCIIRead(PetscViewer viewer,void *data,PetscInt num,PetscInt *count,PetscDataType dtype)

Only process 0 in the PetscViewer may call this

### Input Parameters

| viewer | - the ascii viewer
| data | - location to write the data
| num | - number of items of data to read
| datatype | - type of data to read

### Output Parameters

count -number of items of data actually read, or NULL

### See Also

PetscViewerASCIIOpen(), PetscViewerPushFormat(), PetscViewerDestroy(), PetscViewerCreate(), PetscViewerFileSetMode(), PetscViewerFileSetName()
VecView(), MatView(), VecLoad(), MatLoad(), PetscViewerBinaryGetDescriptor(), PetscViewerBinaryGetInfoPointer(), PetscFileMode, PetscViewer, PetscViewerBinaryRead()

### Level

beginner

### Location

src/sys/classes/viewer/impls/ascii/filev.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages